Bug 170643 - Squid Hang After Unable to handle kernel paging
Squid Hang After Unable to handle kernel paging
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora Legacy
Classification: Retired
Component: kernel (Show other bugs)
rhl9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Fedora Legacy Bugs
DEFER
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 10:46 EDT by Mariano Roig
Modified: 2007-04-18 13:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 10:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mariano Roig 2005-10-13 10:46:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-AR; rv:1.7.10) Gecko/20050717 Firefox/1.0.6

Description of problem:
Oct 12 13:05:51 pato kernel: Unable to handle kernel paging request at virtual address 41423139
Oct 12 13:05:51 pato kernel:  printing eip:
Oct 12 13:05:51 pato kernel: c013a140
Oct 12 13:05:51 pato kernel: *pde = 00000000
Oct 12 13:05:51 pato kernel: Oops: 0000
Oct 12 13:05:51 pato kernel: smbfs ipt_MASQUERADE ipt_LOG ipt_state ip_conntrack_ftp ip_nat_ftp iptable_nat ip_conntrack ipta
ble_filter ip_tables e100 dmfe keybdev mousedev hid input usb-
Oct 12 13:05:51 pato kernel: CPU:    0
Oct 12 13:05:51 pato kernel: EIP:    0060:[<c013a140>]    Not tainted
Oct 12 13:05:51 pato kernel: EFLAGS: 00010016
Oct 12 13:05:51 pato kernel:
Oct 12 13:05:51 pato kernel: EIP is at kmem_cache_free_one [kernel] 0x30 (2.4.20-6)
Oct 12 13:05:51 pato kernel: eax: c1000030   ebx: c2f9b2b0   ecx: 4142312d   edx: 00000000
Oct 12 13:05:51 pato kernel: esi: c002b480   edi: c5b8557c   ebp: df876700   esp: ccc0ff3c
Oct 12 13:05:51 pato kernel: ds: 0068   es: 0068   ss: 0068
Oct 12 13:05:51 pato kernel: Process unlinkd (pid: 9032, stackpage=ccc0f000)
Oct 12 13:05:51 pato kernel: Stack: c002b480 00000292 c5b85500 c0139a1e c2f9b2b0 c002b480 c002b480 c015c6b1
Oct 12 13:05:51 pato kernel:        c2f9b2b0 c002b480 00000000 c0153e90 c002b480 df876700 e9447000 df876700
Oct 12 13:05:51 pato kernel:        ccc0ff90 df876700 c01540d7 c5b85500 df876700 cf17a700 c2f99340 e9447017
Oct 12 13:05:51 pato kernel: Call Trace:   [<c0139a1e>] kmem_cache_free [kernel] 0x1e (0xccc0ff48))
Oct 12 13:05:51 pato kernel: [<c015c6b1>] destroy_inode [kernel] 0x51 (0xccc0ff58))
Oct 12 13:05:51 pato kernel: [<c0153e90>] vfs_unlink [kernel] 0xf0 (0xccc0ff68))
Oct 12 13:05:51 pato kernel: [<c01540d7>] sys_unlink [kernel] 0x117 (0xccc0ff84))
Oct 12 13:05:51 pato kernel: [<c0109537>] system_call [kernel] 0x33 (0xccc0ffc0))
Oct 12 13:05:51 pato kernel:
Oct 12 13:05:51 pato kernel:
Oct 12 13:05:51 pato kernel: Code: 8b 41 0c 29 c6 89 f0 f7 73 18 89 c6 8b 41 14 89 44 b1 18 8b
Oct 12 13:26:00 pato kernel: Kernel logging (proc) stopped.


Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce


Additional info:

The pid 9032 belong to squid proccess.
This problem produce the crash of squid.
Comment 1 Pekka Savola 2005-11-16 08:33:12 EST
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.
Comment 2 Marc Deslauriers 2005-11-20 01:01:25 EST
What version of kernel was this?
What version of squid?

Note You need to log in before you can comment on or make changes to this bug.